package com.qmth.distributed.print.business.bean.result.report.word;

import com.deepoove.poi.data.TableRenderData;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 课程报告bean
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/1/31
 */
public class CourseReportBean implements Serializable {

    @ApiModelProperty(name = "标题1")
    String title1;

    @ApiModelProperty(name = "考生标题1")
    String examStudentTitle1;

    @ApiModelProperty(name = "考生标题2")
    String examStudentTitle2;

    @ApiModelProperty(name = "课程bean")
    CourseBasicBean courseBasicBean;

    @ApiModelProperty(name = "课程报告表格1bean-课程目标与毕业要求指标点的对应关系")
    TableRenderData courseTargetTable1;

    @ApiModelProperty(name = "课程报告表格2bean-课程目标达成考核/评价环节及目标分值")
    TableRenderData courseTargetTable2;

    @ApiModelProperty(name = "课程报告表格3bean-课程课后作业考核/评价内容及目标分值")
    TableRenderData courseTargetTable3;

    @ApiModelProperty(name = "课程报告表格4bean-课程期末考试考核/评价内容及目标分值")
    TableRenderData courseTargetTable4;

    @ApiModelProperty(name = "考生表格1bean")
    TableRenderData examStudentTable1;

    public CourseReportBean() {

    }

    public CourseReportBean(String title1, CourseBasicBean courseBasicBean) {
        this.title1 = title1;
        this.courseBasicBean = courseBasicBean;
    }

    public TableRenderData getExamStudentTable1() {
        return examStudentTable1;
    }

    public void setExamStudentTable1(TableRenderData examStudentTable1) {
        this.examStudentTable1 = examStudentTable1;
    }

    public TableRenderData getCourseTargetTable3() {
        return courseTargetTable3;
    }

    public void setCourseTargetTable3(TableRenderData courseTargetTable3) {
        this.courseTargetTable3 = courseTargetTable3;
    }

    public TableRenderData getCourseTargetTable4() {
        return courseTargetTable4;
    }

    public void setCourseTargetTable4(TableRenderData courseTargetTable4) {
        this.courseTargetTable4 = courseTargetTable4;
    }

    public String getExamStudentTitle1() {
        return examStudentTitle1;
    }

    public void setExamStudentTitle1(String examStudentTitle1) {
        this.examStudentTitle1 = examStudentTitle1;
    }

    public String getExamStudentTitle2() {
        return examStudentTitle2;
    }

    public void setExamStudentTitle2(String examStudentTitle2) {
        this.examStudentTitle2 = examStudentTitle2;
    }

    public String getTitle1() {
        return title1;
    }

    public void setTitle1(String title1) {
        this.title1 = title1;
    }

    public CourseBasicBean getCourseBasicBean() {
        return courseBasicBean;
    }

    public void setCourseBasicBean(CourseBasicBean courseBasicBean) {
        this.courseBasicBean = courseBasicBean;
    }

    public TableRenderData getCourseTargetTable1() {
        return courseTargetTable1;
    }

    public void setCourseTargetTable1(TableRenderData courseTargetTable1) {
        this.courseTargetTable1 = courseTargetTable1;
    }

    public TableRenderData getCourseTargetTable2() {
        return courseTargetTable2;
    }

    public void setCourseTargetTable2(TableRenderData courseTargetTable2) {
        this.courseTargetTable2 = courseTargetTable2;
    }
}
